flex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From erikdebr...@apache.org
Subject [5/8] git commit: [flex-sdk] [refs/heads/develop] - minor changes/clarifications
Date Sat, 20 Dec 2014 18:48:09 GMT
minor changes/clarifications

Conflicts:
	README


Project: http://git-wip-us.apache.org/repos/asf/flex-sdk/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-sdk/commit/efbdca74
Tree: http://git-wip-us.apache.org/repos/asf/flex-sdk/tree/efbdca74
Diff: http://git-wip-us.apache.org/repos/asf/flex-sdk/diff/efbdca74

Branch: refs/heads/develop
Commit: efbdca74385afd7af28be548a4f553ec96571ba3
Parents: 33dbce9
Author: Justin Mclean <jmclean@apache.org>
Authored: Sat Dec 20 11:14:31 2014 +1100
Committer: Erik de Bruin <erik@ixsoftware.nl>
Committed: Sat Dec 20 19:46:37 2014 +0100

----------------------------------------------------------------------
 README | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/efbdca74/README
----------------------------------------------------------------------
diff --git a/README b/README
index 4b823fd..a594735 100644
--- a/README
+++ b/README
@@ -3,8 +3,8 @@ The Apache Flex SDK
 
 The Apache Flex SDK is the evolution of the popular Adobe Flex SDK. The Apache
 Flex SDK is an application development framework for easily building Flash
-based applications for mobile devices, web browsers, and desktops. Currently
-supported platforms include:
+based applications for mobile devices, web browsers, and desktop platforms.
+Currently supported platforms include:
 
     Microsoft Windows
     Mac OS X
@@ -64,7 +64,7 @@ The following steps are all you need for a fully functional SDK:
 - Get the source code
     - flex-sdk
     - flex-tlf
-    - flex-blazeds
+    - flex-blazeds (optional)
 - Build the SDK
 - Prepare the SDK for use with an IDE
 - Optional steps:
@@ -84,8 +84,9 @@ TLF_HOME, BLAZEDS_HOME and ADOBE_EXTENSION_MANAGER can also be set in a
 property file called env.properties. See the env-template.properties file
 for instructions.
 
-The Adobe Flash Player and Adobe AIR have excluded licenses so they can not be
-bundled with the Apache Flex SDK, i.e. they need to be installed separately.
+The Adobe Flash Player and Adobe AIR have non Apache compatible licenses so
+they can not be bundled with the Apache Flex SDK and need to be installed
+separately.
 
 The Adobe Flash Player ‘playerglobal.swc’ is needed to compile all the
 components with the exception of the ‘airframework’ and ‘airspark’
@@ -225,7 +226,7 @@ On Linux, no Adobe Extension Manager exists.
 
 * 8)
 The build scripts assume that the source code folder containing the Apache Flex
-BlazeDS root folder ('flex-blazeds) is at the same level as the SDK
+BlazeDS root folder ('flex-blazeds') is at the same level as the SDK
 root folder ('flex-sdk'). See 'Getting the source code', below. If this is not
 the case on your system, then you must set the BLAZEDS_HOME environment variable
 to point to your BLAZEDS root folder. If you are using a released artifact, the
@@ -297,7 +298,7 @@ use:
 
     ant -Dbuild.number=<YYYYMMDD> -Dbuild.noprompt= release
 
-The packages can then be found in <flex-sdk>\out.
+The packages can then be found in the <flex-sdk>\out directory.
 
 To build the ASDoc package, use:
 
@@ -316,9 +317,15 @@ To create an SDK for Flash Builder or any other IDE, run:
 
     cd <flex.dir>
     ant frameworks-rsls
-    ant -f installer.xml -Dflash.sdk.version=15.0 -Dair.sdk.version=15.0
+    ant -f installer.xml
+    
+If you want to set the Flash Player and AIR versions to something other
+than their defaults, pass the verisons to the ant script like so:
+
+     ant -f installer.xml -Dflash.sdk.version=15.0 -Dair.sdk.version=15.0
 
-On Mac/Linux the AIR and Flash Player version can be changed by running:
+On Mac/Linux the AIR and Flash Player version can be changed, after the SDK
+has been compiled, by running:
 
     ./ide/setFlashPlayerVersion.sh ./ 15.0
     ./ide/addAIRtoSDK.sh 15.0 ./
@@ -370,7 +377,7 @@ OR
 Compile the SDK with a -Dlocale=<locale> option, where <locale> is the new
 locale to compile the SDK against.
 
-To compile all supported locales, which may take some time, use
+To compile all supported locales, which may take some time, use:
 
     ant other.locales
 
@@ -380,7 +387,7 @@ The list of supported locales currently include:
     de_DE    en_CA    es_ES    fr_FR    ko_KR    pt_BR    sv_SE
 
 The Apache Flex SDK has only been tested for the en_US locale. However, you are
-unlikely to run into any issues with a SDK compiled for another locales.
+unlikely to run into any issues with a SDK compiled for another locale.
 
 
 Adobe Flash Player Version Support
@@ -431,6 +438,7 @@ Copy the target playerglobal.swc to the directory:
     frameworks/libs/player/<version.major>.<version.minor>/playerglobal.swc
     
 On OSX, running the script:
+
     ./ide/checkAllPlayerGlobals.sh 
  
 will download any new or missing player global swcs.


Mime
View raw message